%global pypi_name pyo

%bcond_with check

Name:		python-%{pypi_name}
Version:	1.0.4
Release:	%mkrel 3
Summary:	Python DSP module
Group:		Development/Python
License:	GPL
URL: 		http://ajaxsoundstudio.com/software/pyo/
Source0: 	%{pypi_name}-%{version}.tar.xz
	
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  portmidi python3-pyportmidi
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  python3-wxpython4-media
BuildRequires:  portaudio-devel
BuildRequires:  portmidi-devel
BuildRequires:  liblo-devel

%description
pyo is a Python module written in C to help digital signal processing script 
creation.

pyo is a Python module containing classes for a wide variety of audio signal 
processing types. With pyo, user will be able to include signal processing 
chains directly in Python scripts or projects, and to manipulate them in real 
time through the interpreter. Tools in pyo module offer primitives, like 
mathematical operations on audio signal, basic signal processing (filters, 
delays, synthesis generators, etc.), but also complex algorithms to create 
sound granulation and others creative audio manipulations. pyo supports OSC 
protocol (Open Sound Control), to ease communications between softwares, and 
MIDI protocol, for generating sound events and controlling process parameters. 
pyo allows creation of sophisticated signal processing chains with all the 
benefits of a mature, and widely used, general programming language.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyo is a Python module written in C to help digital signal processing script 
creation.

pyo is a Python module containing classes for a wide variety of audio signal 
processing types. With pyo, user will be able to include signal processing 
chains directly in Python scripts or projects, and to manipulate them in real 
time through the interpreter. Tools in pyo module offer primitives, like 
mathematical operations on audio signal, basic signal processing (filters, 
delays, synthesis generators, etc.), but also complex algorithms to create 
sound granulation and others creative audio manipulations. pyo supports OSC 
protocol (Open Sound Control), to ease communications between softwares, and 
MIDI protocol, for generating sound events and controlling process parameters. 
pyo allows creation of sophisticated signal processing chains with all the 
benefits of a mature, and widely used, general programming language.


%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build 
##python3 setup.py build 

%install
%py3_install 
##python3 setup.py install

%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%{_bindir}/epyo
%{python3_sitearch}/%{pypi_name}/*
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jun 21 2022 TerryN <terryn94 at gmail.com>  1.0.4-3pclos2022
- fix SPEC and rebuild for python 3.10

* Thu Oct 07  2021  onkelho <oh.quait at gmail.com> - 1.0.4-2pclos2021
- rebuild

* Mon Oct 04 2021  onkelho <oh.quait at gmail.com> - 1.0.4-1pclos2021
- create pkg for pclos
